SystemOrganization addCategory: #ConfigurationOfChisCommit!

Object subclass: #ConfigurationOfChisCommit
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfChisCommit'!

!ConfigurationOfChisCommit class methodsFor: 'development support' stamp: 'JuanPabloSandovalAlcocder 3/28/2013 16:13'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfChisCommit class methodsFor: 'private' stamp: 'JuanPabloSandovalAlcocder 3/28/2013 16:12'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfChisCommit class methodsFor: 'private' stamp: 'AlejandroInfante 3/28/2013 14:27'!
ensureMetacello
	
	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfChisCommit class methodsFor: 'private' stamp: 'JuanPabloSandovalAlcocder 3/28/2013 16:15'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfChisCommit class methodsFor: 'metacello tool support' stamp: 'JuanPabloSandovalAlcocder 3/28/2013 16:14'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfChisCommit class methodsFor: 'loading' stamp: 'JuanPabloSandovalAlcocder 3/28/2013 16:14'!
load
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	"ugly but Spy not always work"
	^(self project version: #stable) load
	
	! !

!ConfigurationOfChisCommit class methodsFor: 'loading' stamp: 'JuanPabloSandovalAlcocder 3/28/2013 16:14'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfChisCommit class methodsFor: 'loading' stamp: 'JuanPabloSandovalAlcocder 3/28/2013 16:14'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfChisCommit class methodsFor: 'accessing' stamp: 'JuanPabloSandovalAlcocder 3/28/2013 16:13'!
project

	^self new project! !

!ConfigurationOfChisCommit class methodsFor: 'development support' stamp: 'JuanPabloSandovalAlcocder 3/28/2013 16:13'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfChisCommit methodsFor: 'baselines' stamp: 'AlejandroInfante 3/28/2013 15:11'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.

		spec project: 'Merlin' with: [
				spec
					className: 'ConfigurationOfMerlin';
					version: #stable ;
					file: 'ConfigurationOfMerlin';
					repository: 'http://www.squeaksource.com/Merlin' ].

		spec project: 'Roassal' with: [
				spec
					className: 'ConfigurationOfRoassal';
					file: 'ConfigurationOfRoassal';
					version: #stable;
					repository: 'http://www.squeaksource.com/Roassal' ].

		spec repository: 'http://ss3.gemstone.com/ss/ChisCommit'.	
		spec 
			package: 'ChisCommit' with: [spec requires: #('Roassal' 'Merlin')].
].! !

!ConfigurationOfChisCommit methodsFor: 'symbolic versions' stamp: 'AlejandroInfante 3/28/2013 14:25'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfChisCommit methodsFor: 'accessing' stamp: 'AlejandroInfante 3/28/2013 14:12'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfChisCommit methodsFor: 'symbolic versions' stamp: 'AlejandroInfante 3/28/2013 14:22'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.! !

!ConfigurationOfChisCommit methodsFor: 'versions' stamp: 'JuanPabloSandovalAlcocder 3/28/2013 16:17'!
version10: spec 
	<version: '1.0' imports: #('1.0-baseline') >
	
	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : Fixed some bugs on Pharo2.0'.
		spec author: 'AlejandroInfante'.
		spec timestamp: '4/28/2012 17:17'.
		
		spec 
			package: 'ChisCommit' with: 'ChisCommit-AlejandroInfante.18'.

].! !
